Bug 844902 - [rhevm-webadmin] - Webadmin - text disappears from the search bar when pressing Dashboard tab
[rhevm-webadmin] - Webadmin - text disappears from the search bar when pressi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Shahar Havivi
David Botzer
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 04:32 EDT by David Botzer
Modified: 2014-01-13 19:03 EST (History)
7 users (show)

See Also:
Fixed In Version: si18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
text-searchbar (185.75 KB, image/png)
2012-08-01 04:32 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2012-08-01 04:32:18 EDT
Created attachment 601684 [details]
text-searchbar

Description of problem:
While selecting any entity that has an appropriate webadmin-Dashboard (e.x "System") in the tree pane, 
And  pressing Dashboard tab
text disappears from the search bar


Version-Release number of selected component (if applicable):
3.1/si12

How reproducible:
Always

Steps to Reproduce:
1.install rhevm+Reports
2.Open Webadmin
3.Select An entity (System,DC, Cluster) in tree pane
4.Dashboard Tab should appear in the right upper corner of the gui
5.Press the Dashboard tab
  
Actual results:
text disappears from the search bar when pressing Dashboard tab
Thus displays all without any filter,

When I press System the text in search bar returns but an incorrect text.

Expected results:
Should show text in search bar according to selection in Tree pane

Additional info:
Comment 1 Einav Cohen 2012-08-27 09:30:19 EDT
steps to reproduce in the description aren't accurate - these are the accurate steps to reproduce:

- select "System" in the tree.
- select the Dashboard main tab (search text is becoming "Reports:" at this stage, which is probably fine).
- select a certain DC in the tree -> focused main tab is still "Dashboard", but search text disappears at this stage, which might be fine, as long as the Dashboards main tab displays the correct data - need to check (unrelated?).
- select the "VMs" link in the tree (within one of the clusters within the selected DC) - Virtual Machines main tab appears and becomes focused, however there is still no search text at this stage, which is definitely a bug.
Comment 2 Einav Cohen 2012-08-28 07:10:17 EDT
(In reply to comment #1)
> steps to reproduce in the description aren't accurate - these are the
> accurate steps to reproduce:
> 
> - select "System" in the tree.
> - select the Dashboard main tab (search text is becoming "Reports:" at this
> stage, which is probably fine).
> - select a certain DC in the tree -> focused main tab is still "Dashboard",
> but search text disappears at this stage, which might be fine, as long as
> the Dashboards main tab displays the correct data - need to check
> (unrelated?).

^^^ this is what upstream bug 817773 is about.

> - select the "VMs" link in the tree (within one of the clusters within the
> selected DC) - Virtual Machines main tab appears and becomes focused,
> however there is still no search text at this stage, which is definitely a
> bug.
Comment 3 Shahar Havivi 2012-09-03 08:10:53 EDT
posted at: http://gerrit.ovirt.org/#/c/7709/
Comment 4 Einav Cohen 2012-09-09 07:26:46 EDT
(In reply to comment #3)
> posted at: http://gerrit.ovirt.org/#/c/7709/

Shahar, any chance that your patch also solved bug 850164?
Comment 5 Shahar Havivi 2012-09-09 08:01:16 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > posted at: http://gerrit.ovirt.org/#/c/7709/
> 
> Shahar, any chance that your patch also solved bug 850164?
it may be related...
Comment 6 Shahar Havivi 2012-09-10 09:59:20 EDT
merged at: afb10199b588a0bc7dc76d1129b680971886c722
http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=afb10199b588a0bc7dc76d1129b680971886c722
Comment 9 David Botzer 2012-10-09 01:46:24 EDT
Fixed, 3.1/si20
Textbox has the correct filter when browing in the tree pane
Fixed, 3.1/si20

Still need to check the following isue described by Einav:
search text disappears at this stage, which might be fine, as long as the Dashboards main tab displays the correct data - need to check (unrelated?).

Note You need to log in before you can comment on or make changes to this bug.